package com.docus.server.dto.recovery.rcvbasic;

import com.docus.server.enums.RecoveryStateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 患者信息表 AddDTO
 *
 * @author AutoGenerator
 * @since 2023-09-13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AddRcvBasicDTO对象", description = "患者信息表")
public class AddRcvBasicDTO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ApiModelProperty(value = "病案号")
    private String inpatientNo;

    @ApiModelProperty(value = "记账号(省中医住院就诊号)")
    private String jzh;

    @ApiModelProperty(value = "住院号")
    private String admissId;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "流水号")
    private String serialNumber;

    @ApiModelProperty(value = "住院日期")
    private Date admissDate;

    @ApiModelProperty(value = "住院科室")
    private String admissDept;

    @ApiModelProperty(value = "住院科室名称")
    private String admissDeptName;

    @ApiModelProperty(value = "出院日期")
    private Date disDate;

    @ApiModelProperty(value = "出院科室")
    private String disDept;

    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;

    @ApiModelProperty(value = "实际住院天数")
    private Integer admissDays;

    @ApiModelProperty(value = "住院医师")
    private String attendingName;

    @ApiModelProperty(value = "1 现场扫描，2 其他来源")
    private Integer fileSource;

    @ApiModelProperty(value = "回收状态 0：待回收 1：已回收")
    private RecoveryStateEnum recoveryState;

    @ApiModelProperty(value = "回收时间")
    private Date revoveryTime;

    @ApiModelProperty(value = "回收人")
    private String revoveryUser;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
