package com.docus.server.entity.recovery;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
*
* 系统参数表
*
* @author AutoGenerator
* @since 2023-09-13
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("rcv_sys_param")
@ApiModel(value="RcvSysParam对象", description="系统参数表")
public class RcvSysParam implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "父主键")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "系统参数编号")
    @TableField("param_code")
    private String paramCode;

    @ApiModelProperty(value = "系统参数名称")
    @TableField("param_name")
    private String paramName;

    @ApiModelProperty(value = "系统参数说明，如说明参数值得格式要求")
    @TableField("param_info")
    private String paramInfo;

    @ApiModelProperty(value = "系统参数值")
    @TableField("param_value")
    private String paramValue;

    @ApiModelProperty(value = "系统参数分组")
    @TableField("param_group")
    private String paramGroup;

    @ApiModelProperty(value = "排序号，用于分组内排序")
    @TableField("sort_no")
    private Integer sortNo;

    @ApiModelProperty(value = "是否需要加密，0：不需要，1：需要")
    @TableField("need_encrypt")
    private String needEncrypt;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private Date updateTime;


}
