package com.docus.server.entity.recovery;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.docus.server.enums.EffectiveEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统登录用户表
 *
 * @author AutoGenerator
 * @since 2023-09-13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("rcv_sys_user")
@ApiModel(value = "RcvSysUser对象", description = "系统登录用户表")
public class RcvSysUser implements Serializable {

    @ApiModelProperty(value = "")
    @TableId(value = "user_id", type = IdType.ASSIGN_UUID)
    private Long userId;

    @ApiModelProperty(value = "登陆名")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "用户密码")
    @TableField("user_pwd")
    private String userPwd;

    @ApiModelProperty(value = "性别")
    @TableField("user_sex")
    private Integer userSex;

    @ApiModelProperty(value = "年龄")
    @TableField("user_age")
    private Integer userAge;

    @ApiModelProperty(value = "电话")
    @TableField("user_tel")
    private String userTel;

    @ApiModelProperty(value = "邮箱")
    @TableField("user_email")
    private String userEmail;

    @ApiModelProperty(value = "头像路径")
    @TableField("user_head")
    private String userHead;

    @ApiModelProperty(value = "职位")
    @TableField("user_position")
    private String userPosition;

    @ApiModelProperty(value = "是否有效，0：无效，1：有效")
    @TableField("effective")
    private EffectiveEnum effective;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private Date updateTime;


}
